<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/fpdf/fpdf.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$id = $_GET['id'];

			$productos = $ges->get_productos_solicitados2($id);

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/soli_almacen.phtml");
				
			}

			if(isset($_POST['GESTIONAR'])){

				$i = 0;

				if( isset($_POST['sku'][0]) && !empty($_POST['sku'][0]) ){

						
					foreach ($_POST['sku'] as $val){

						$requerimiento = $ges->get_requerimiento_almacen_especifico($id);

						$validacion = $ges->get_validacion_producto($val,$requerimiento['id_asignacion']);
						if($validacion['total'] == 0){
							$resultado = $ges->set_nuevo_producto($val,$requerimiento['id_asignacion']);
						}

						$resultado = $ges->update_disponible_almacen($requerimiento['id_asignacion'],$val,$_POST['cantidad'][$i]);
						$resultado = $ges->get_update_requerimiento($id,2);

						$i = $i + 1;

					}

					
					echo'<script type="text/javascript">alert("SE GESTIONÓ CORRECTAMENTE");window.location.href="solicitud_almacen.php";</script>';

				}else{

					$resultado = $ges->get_update_requerimiento($id,2);
					echo'<script type="text/javascript">alert("NO SE COLOCO NINGUN PRODUCTOS");window.location.href="solicitud_almacen.php";</script>';

				}
				
			}


?>